Index: /palm/trunk/SOURCE/cpulog.f90
===================================================================
--- /palm/trunk/SOURCE/cpulog.f90	(revision 1319)
+++ /palm/trunk/SOURCE/cpulog.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -32,20 +38,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 274 2009-03-26 15:11:21Z heinze
-! Output of messages replaced by message handling routine.
-! Type of count and count_rate changed to default INTEGER on NEC machines
-!
-! 225 2009-01-26 14:44:20Z raasch
-! Type of count and count_rate changed to INTEGER(8)
-!
-! 82 2007-04-16 15:40:52Z raasch
-! Preprocessor strings for different linux clusters changed to "lc",
-! preprocessor directives for old systems removed
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.24  2006/06/02 15:12:17  raasch
-! cpp-directives extended for lctit
 !
 ! Revision 1.1  1997/07/24 11:12:29  raasch
@@ -58,6 +48,13 @@
 !------------------------------------------------------------------------------!
 
-    USE control_parameters
-    USE indices,  ONLY: nx, ny, nz
+    USE control_parameters,                                                    &
+        ONLY: message_string, nr_timesteps_this_run, run_description_header,   &
+              synchronous_exchange
+               
+    USE indices,                                                               &
+        ONLY: nx, ny, nz
+        
+    USE kinds
+    
     USE pegrid
 
@@ -65,5 +62,5 @@
 
     PRIVATE
-    PUBLIC   cpu_log, cpu_log_barrierwait, cpu_log_nowait, cpu_statistics, &
+    PUBLIC   cpu_log, cpu_log_barrierwait, cpu_log_nowait, cpu_statistics,     &
              initial_wallclock_time, log_point, log_point_s
 
@@ -76,16 +73,24 @@
     END INTERFACE cpu_statistics
 
-    INTEGER, PARAMETER ::  cpu_log_continue = 0, cpu_log_pause = 1, &
-                           cpu_log_start = 2, cpu_log_stop = 3
-
-    LOGICAL            ::  cpu_log_barrierwait = .FALSE.
-    LOGICAL, PARAMETER ::  cpu_log_nowait = .FALSE.
-
-    REAL ::  initial_wallclock_time
+    INTEGER(iwp), PARAMETER ::  cpu_log_continue = 0  !: 
+    INTEGER(iwp), PARAMETER ::  cpu_log_pause = 1     !: 
+    INTEGER(iwp), PARAMETER ::  cpu_log_start = 2     !: 
+    INTEGER(iwp), PARAMETER ::  cpu_log_stop = 3      !: 
+
+    LOGICAL            ::  cpu_log_barrierwait = .FALSE.  !: 
+    LOGICAL, PARAMETER ::  cpu_log_nowait = .FALSE.       !: 
+
+    REAL(wp) ::  initial_wallclock_time  !: 
 
     TYPE logpoint
-       REAL               ::  isum, ivect, mean, mtime, mtimevec, sum, vector
-       INTEGER            ::  counts
-       CHARACTER (LEN=20) ::  place
+       REAL(wp)           ::  isum       !: 
+       REAL(wp)           ::  ivect      !: 
+       REAL(wp)           ::  mean       !: 
+       REAL(wp)           ::  mtime      !: 
+       REAL(wp)           ::  mtimevec   !: 
+       REAL(wp)           ::  sum        !: 
+       REAL(wp)           ::  vector     !: 
+       INTEGER(iwp)       ::  counts     !: 
+       CHARACTER (LEN=20) ::  place      !: 
     END TYPE logpoint
 
@@ -103,17 +108,23 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN=*)           ::  modus, place
-       LOGICAL                     ::  wait_allowed
-       LOGICAL, OPTIONAL           ::  barrierwait
-       LOGICAL, SAVE               ::  first = .TRUE.
-       REAL                        ::  mtime = 0.0, mtimevec = 0.0
-       TYPE(logpoint)              ::  log_event
+       CHARACTER (LEN=*) ::  modus              !: 
+       CHARACTER (LEN=*) ::  place              !: 
+       
+       LOGICAL           ::  wait_allowed       !: 
+       LOGICAL, OPTIONAL ::  barrierwait        !: 
+       LOGICAL, SAVE     ::  first = .TRUE.     !: 
+       
+       REAL(wp)          ::  mtime = 0.0        !: 
+       REAL(wp)          ::   mtimevec = 0.0    !: 
+       TYPE(logpoint)    ::  log_event          !: 
 
 #if defined( __lc ) || defined( __decalpha )
-       INTEGER(8)                  ::  count, count_rate
+       INTEGER(idp)     ::  count        !: 
+       INTEGER(idp)     ::  count_rate   !: 
 #elif defined( __nec )
-       INTEGER                     ::  count, count_rate
+       INTEGER(iwp)      ::  count       !: 
+       INTEGER(iwp)      ::  count_rate  !: 
 #elif defined( __ibm )
-       INTEGER(8)                  ::  IRTC
+       INTEGER(idp)     ::  IRTC         !: 
 #endif
 
@@ -124,5 +135,5 @@
           log_event%place = place
        ELSEIF ( log_event%place /= place )  THEN
-          WRITE( message_string, * ) 'wrong argument & expected: ', &
+          WRITE( message_string, * ) 'wrong argument & expected: ',            &
                             TRIM(log_event%place), '  given: ',  TRIM( place )
           CALL message( 'cpu_log', 'PA0174', 1, 2, 0, 6, 0 )
@@ -142,5 +153,5 @@
 !--    PEs that have not yet finished
 #if defined( __parallel )
-       IF ( cpu_log_barrierwait  .AND.  wait_allowed  .AND.  &
+       IF ( cpu_log_barrierwait  .AND.  wait_allowed  .AND.                    &
             ( modus == 'start'  .OR.  modus == 'continue' ) )  THEN
           CALL MPI_BARRIER( comm2d, ierr )
@@ -167,7 +178,7 @@
        ELSEIF ( modus == 'pause' )  THEN
           IF ( ( mtime - log_event%mtime ) < 0.0  .AND.  first )  THEN
-             WRITE( message_string, * ) 'negative time interval occured',         &
-                         ' &PE',myid,' L=PAUSE "',TRIM(log_event%place),'" new=', &
-                         mtime,' last=',log_event%mtime
+             WRITE( message_string, * ) 'negative time interval occured',      &
+                         ' &PE',myid,' L=PAUSE "',TRIM(log_event%place),       &
+                         '" new=', mtime,' last=',log_event%mtime
              CALL message( 'cpu_log', 'PA0176', 0, 1, -1, 6, 0 )
              first = .FALSE.
@@ -176,7 +187,7 @@
           log_event%ivect    = log_event%ivect  + mtimevec - log_event%mtimevec
        ELSEIF ( modus == 'stop' )  THEN
-          IF ( ( mtime - log_event%mtime + log_event%isum ) < 0.0  .AND. &
+          IF ( ( mtime - log_event%mtime + log_event%isum ) < 0.0  .AND.       &
                first )  THEN
-             WRITE( message_string, * ) 'negative time interval occured',        &
+             WRITE( message_string, * ) 'negative time interval occured',      &
                          ' &PE',myid,' L=STOP "',TRIM(log_event%place),'" new=', &
                          mtime,' last=',log_event%mtime,' isum=',log_event%isum
@@ -188,5 +199,5 @@
           log_event%sum      = log_event%sum  + log_event%mtime
           IF ( log_event%sum < 0.0  .AND.  first )  THEN
-             WRITE( message_string, * ) 'negative time interval occured',        &
+             WRITE( message_string, * ) 'negative time interval occured',      &
                          ' &PE',myid,' L=STOP "',TRIM(log_event%place),'" sum=', &
                                          log_event%sum,' mtime=',log_event%mtime
@@ -218,9 +229,15 @@
        IMPLICIT NONE
 
-       INTEGER    ::  i, ii(1), iii, sender
-       REAL       ::  average_cputime
-       REAL, SAVE ::  norm = 1.0
-       REAL, DIMENSION(:),   ALLOCATABLE ::  pe_max, pe_min, pe_rms, sum
-       REAL, DIMENSION(:,:), ALLOCATABLE ::  pe_log_points
+       INTEGER(iwp)    ::  i               !: 
+       INTEGER(iwp)    ::  ii(1)           !: 
+       INTEGER(iwp)    ::  iii             !: 
+       INTEGER(iwp)    ::  sender          !: 
+       REAL(wp)       ::  average_cputime  !: 
+       REAL(wp), SAVE ::  norm = 1.0       !: 
+       REAL(wp), DIMENSION(:),   ALLOCATABLE ::  pe_max        !: 
+       REAL(wp), DIMENSION(:),   ALLOCATABLE ::  pe_min        !: 
+       REAL(wp), DIMENSION(:),   ALLOCATABLE ::  pe_rms        !: 
+       REAL(wp), DIMENSION(:),   ALLOCATABLE ::  sum           !: 
+       REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  pe_log_points !: 
 
 
@@ -240,6 +257,6 @@
 !
 !--       Allocate and initialize temporary arrays needed for statistics
-          ALLOCATE( pe_max( SIZE( log_point ) ), pe_min( SIZE( log_point ) ), &
-                    pe_rms( SIZE( log_point ) ),                              &
+          ALLOCATE( pe_max( SIZE( log_point ) ), pe_min( SIZE( log_point ) ),  &
+                    pe_rms( SIZE( log_point ) ),                               &
                     pe_log_points( SIZE( log_point ), 0:numprocs-1 ) )
           pe_min = log_point%sum
@@ -251,5 +268,5 @@
 !--       Receive data from all PEs
           DO  i = 1, numprocs-1
-             CALL MPI_RECV( pe_max(1), SIZE( log_point ), MPI_REAL, &
+             CALL MPI_RECV( pe_max(1), SIZE( log_point ), MPI_REAL,            &
                             i, i, comm2d, status, ierr )
              sender = status(MPI_SOURCE)
@@ -270,6 +287,6 @@
 !--          Calculate rms
              DO  i = 0, numprocs-1
-                pe_rms(iii) = pe_rms(iii) + ( &
-                                    pe_log_points(iii,i) - log_point(iii)%sum &
+                pe_rms(iii) = pe_rms(iii) + (                                  &
+                                    pe_log_points(iii,i) - log_point(iii)%sum  &
                                             )**2
              ENDDO
Index: /palm/trunk/SOURCE/cuda_fft_interfaces.f90
===================================================================
--- /palm/trunk/SOURCE/cuda_fft_interfaces.f90	(revision 1319)
+++ /palm/trunk/SOURCE/cuda_fft_interfaces.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -50,12 +56,12 @@
 #if defined ( __cuda_fft )
 
-    INTEGER :: CUFFT_FORWARD = -1,  &
-               CUFFT_INVERSE =  1,  &
-               CUFFT_R2C = Z'2a',   &    ! Real to Complex (interleaved)
-               CUFFT_C2R = Z'2c',   &    ! Complex (interleaved) to Real
-               CUFFT_C2C = Z'29',   &    ! Complex to Complex, interleaved
-               CUFFT_D2Z = Z'6a',   &    ! Double to Double-Complex
-               CUFFT_Z2D = Z'6c',   &    ! Double-Complex to Double
-               CUFFT_Z2Z = Z'69'         ! Double-Complex to Double-Complex
+    INTEGER(iwp) ::  CUFFT_FORWARD = -1   !:
+    INTEGER(iwp) ::  CUFFT_INVERSE =  1   !:
+    INTEGER(iwp) ::  CUFFT_R2C = Z'2a'    !: Real to Complex (interleaved)
+    INTEGER(iwp) ::  CUFFT_C2R = Z'2c'    !: Complex (interleaved) to Real
+    INTEGER(iwp) ::  CUFFT_C2C = Z'29'    !: Complex to Complex, interleaved
+    INTEGER(iwp) ::  CUFFT_D2Z = Z'6a'    !: Double to Double-Complex
+    INTEGER(iwp) ::  CUFFT_Z2D = Z'6c'    !: Double-Complex to Double
+    INTEGER(iwp) ::  CUFFT_Z2Z = Z'69'    !: Double-Complex to Double-Complex
 
     PUBLIC
@@ -70,7 +76,8 @@
           USE ISO_C_BINDING
 
-          INTEGER(C_INT) ::  plan
-          INTEGER(C_INT), value ::  batch, nx, type
-
+          INTEGER(C_INT)        ::  plan   !: 
+          INTEGER(C_INT), value ::  batch  !: 
+          INTEGER(C_INT), value ::  nx     !: 
+          INTEGER(C_INT), value ::  type   !: 
        END SUBROUTINE CUFFTPLAN1D
 
@@ -97,9 +104,9 @@
 
           USE ISO_C_BINDING
-          USE precision_kind
+          USE kinds
 
-          INTEGER(C_INT), VALUE ::  plan
-          COMPLEX(dpk), DEVICE  ::  idata(:,:,:)
-          REAL(dpk), DEVICE     ::  odata(:,:,:)
+          INTEGER(C_INT), VALUE ::  plan          !:
+          COMPLEX(dp), DEVICE   ::  idata(:,:,:)  !:
+          REAL(dp), DEVICE      ::  odata(:,:,:)  !:
 
        END SUBROUTINE CUFFTEXECZ2D
@@ -113,9 +120,10 @@
 
           USE ISO_C_BINDING
-          USE precision_kind
+          
+          USE kinds
 
-          INTEGER(C_INT), VALUE ::  plan
-          REAL(dpk), DEVICE     ::  idata(:,:,:)
-          COMPLEX(dpk), DEVICE  ::  odata(:,:,:)
+          INTEGER(C_INT), VALUE ::  plan          !:
+          REAL(dp), DEVICE      ::  idata(:,:,:)  !:
+          COMPLEX(dp), DEVICE   ::  odata(:,:,:)  !:
 
        END SUBROUTINE CUFFTEXECD2Z
@@ -131,6 +139,8 @@
 
        SUBROUTINE CUFFTdummy( dummy )
+       
+          USE kinds
 
-          REAL ::  dummy
+          REAL(wp) ::  dummy  !:
 
        END SUBROUTINE CUFFTdummy
Index: /palm/trunk/SOURCE/data_log.f90
===================================================================
--- /palm/trunk/SOURCE/data_log.f90	(revision 1319)
+++ /palm/trunk/SOURCE/data_log.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -41,12 +47,21 @@
 #if defined( __logging )
 
-    USE control_parameters
+    USE control_parameters,                                                    &
+        ONLY:  log_message, simulated_time
+        
+    USE kinds
+        
     USE pegrid
 
     IMPLICIT NONE
 
-    INTEGER ::  i1, i2, j1, j2, k1, k2
+    INTEGER(iwp) ::  i1  !: 
+    INTEGER(iwp) ::  i2  !: 
+    INTEGER(iwp) ::  j1  !: 
+    INTEGER(iwp) ::  j2  !: 
+    INTEGER(iwp) ::  k1  !: 
+    INTEGER(iwp) ::  k2  !: 
 
-    REAL, DIMENSION(i1:i2,j1:j2,k1:k2) ::  array
+    REAL(wp), DIMENSION(i1:i2,j1:j2,k1:k2) ::  array  !: 
 
 
@@ -81,12 +96,19 @@
 #if defined( __logging )
 
-    USE control_parameters
+    USE control_parameters,                                                    &
+        ONLY:  log_message, simulated_time
+
+    USE kinds
+            
     USE pegrid
 
     IMPLICIT NONE
 
-    INTEGER ::  i1, i2, j1, j2
+    INTEGER(iwp) ::  i1  !: 
+    INTEGER(iwp) ::  i2  !: 
+    INTEGER(iwp) ::  j1  !: 
+    INTEGER(iwp) ::  j2  !: 
 
-    REAL, DIMENSION(i1:i2,j1:j2) ::  array
+    REAL(wp), DIMENSION(i1:i2,j1:j2) ::  array  !: 
 
 
@@ -121,12 +143,19 @@
 #if defined( __logging )
 
-    USE control_parameters
+    USE control_parameters,                                                    &
+        ONLY:  log_message, simulated_time
+
+    USE kinds
+            
     USE pegrid
 
     IMPLICIT NONE
 
-    INTEGER ::  i1, i2, j1, j2
+    INTEGER(iwp) ::  i1  !: 
+    INTEGER(iwp) ::  i2  !: 
+    INTEGER(iwp) ::  j1  !: 
+    INTEGER(iwp) ::  j2  !: 
 
-    INTEGER, DIMENSION(i1:i2,j1:j2) ::  array
+    INTEGER(iwp), DIMENSION(i1:i2,j1:j2) ::  array  !: 
 
 
